<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method='text'/>

<xsl:key name="distinctOutputActions" match="//actionNode[@type='OUTPUT_ACTION']" use="parameter[@name='name']/@value"/>

<xsl:template match="/model">
//--- this file is machine generated ---

#include "StdAfx.h"
#include "common.h"
#include "log.h"

<xsl:for-each select="//actionNode[generate-id(.) = generate-id(key('distinctOutputActions', parameter[@name='name']/@value))]">
    <xsl:sort select="@type"/>
    <xsl:sort select="@name"/>

    //---------------------------------------------------------------------------
    void z<xsl:value-of select="@name"/>_user(void);
    void z<xsl:value-of select="@name"/>(void)
    {
      z<xsl:value-of select="@name"/>_user();
    
      #ifdef Z_LOGGING
        log_z(<xsl:value-of select="position()-1" />);
      #endif
    }
</xsl:for-each>

</xsl:template>

</xsl:stylesheet>