
//--- this file is machine generated ---

#ifndef LogH
#define LogH

#include "types.h"

#define SWITCH_LOGGING

#ifdef SWITCH_LOGGING
  #define Z_LOGGING
  #define X_LOGGING
  #define A_BEGINS_LOGGING
  #define A_TRANS_LOGGING
  #define A_ENDS_LOGGING
  #define A_ERRORS_LOGGING

  enum{
    LOG_Z = '*',
    LOG_X = '>',
    LOG_GRAPH_BEGIN = '{',
    LOG_GRAPH_TRANS = 'T',
    LOG_GRAPH_END = '}',
    LOG_GRAPH_ERROR = 'E'
  };

  void log_a_begin(ubyte a, ubyte y, ubyte e);
  void log_a_trans(ubyte a, ubyte yo, ubyte yn);
  void log_a_end(ubyte a, ubyte y, ubyte e);
  void log_x(ubyte x, ubyte res);
  void log_z(ubyte z);
  void log_write(char, const char* str);
#endif

#ifdef A_BEGINS_LOGGING
  
	#define A0_BEGIN_LOGGING
  
	#define A1_BEGIN_LOGGING
  
	#define A10_BEGIN_LOGGING
  
	#define A11_BEGIN_LOGGING
  
	#define A12_BEGIN_LOGGING
  
	#define A2_BEGIN_LOGGING
  
	#define A3_BEGIN_LOGGING
  
	#define A4_BEGIN_LOGGING
  
	#define A7_BEGIN_LOGGING
  
	#define A8_BEGIN_LOGGING
  
	#define A9_BEGIN_LOGGING
  
  
#endif

#ifdef A_TRANS_LOGGING
  
	#define A0_TRANS_LOGGING
  
	#define A1_TRANS_LOGGING
  
	#define A10_TRANS_LOGGING
  
	#define A11_TRANS_LOGGING
  
	#define A12_TRANS_LOGGING
  
	#define A2_TRANS_LOGGING
  
	#define A3_TRANS_LOGGING
  
	#define A4_TRANS_LOGGING
  
	#define A7_TRANS_LOGGING
  
	#define A8_TRANS_LOGGING
  
	#define A9_TRANS_LOGGING
  
 
#endif

#ifdef A_ENDS_LOGGING
  
	#define A0_END_LOGGING
  
	#define A1_END_LOGGING
  
	#define A10_END_LOGGING
  
	#define A11_END_LOGGING
  
	#define A12_END_LOGGING
  
	#define A2_END_LOGGING
  
	#define A3_END_LOGGING
  
	#define A4_END_LOGGING
  
	#define A7_END_LOGGING
  
	#define A8_END_LOGGING
  
	#define A9_END_LOGGING
  
  
#endif

#ifdef A_ERRORS_LOGGING
  
	#define A0_ERRORS_LOGGING
  
	#define A1_ERRORS_LOGGING
  
	#define A10_ERRORS_LOGGING
  
	#define A11_ERRORS_LOGGING
  
	#define A12_ERRORS_LOGGING
  
	#define A2_ERRORS_LOGGING
  
	#define A3_ERRORS_LOGGING
  
	#define A4_ERRORS_LOGGING
  
	#define A7_ERRORS_LOGGING
  
	#define A8_ERRORS_LOGGING
  
	#define A9_ERRORS_LOGGING
  
#endif

#endif
