#include "log.h"

#ifdef SWITCH_LOGGING

//---------------------------------------------------------------------------
void log_a_begin_user(const char* a, const char* a_name, const char* y, const char* y_name, const char* e, const char* e_name)
{
  printf("LOG_GRAPH_BEGIN '%s'('%s'): в состоянии '%s'() запущен с событием '%s'('%s')\n", a, a_name, y, y_name, e, e_name);
}
//---------------------------------------------------------------------------
void log_a_trans_user(const char* a, const char* a_name, const char* yo, const char* yo_name, const char* yn, const char* yn_name)
{
  printf("LOG_GRAPH_TRANS '%s'('%s'): перешел из состояния '%s'('%s') в состояние '%s'('%s')\n", a, a_name, yo, yo_name, yn, yn_name);
}
//---------------------------------------------------------------------------
void log_a_end_user(const char* a, const char* a_name, const char* y, const char* y_name, const char* e, const char* e_name)
{
  printf("LOG_GRAPH_END '%s'('%s'): завершил обработку события '%s'('%s') в состоянии '%s'(%s)\n", a, a_name, e, e_name, y, y_name);
}
//---------------------------------------------------------------------------
void log_x_user(const char* x, const char* x_name, ubyte res)
{
	printf("LOG_X '%s - '%s' - вернул '%d'\n", x, x_name, res);
}
//---------------------------------------------------------------------------
void log_z_user(const char* z, const char* z_name)
{
	printf("LOG_Z '%s'. '%s'\n", z, z_name);
}
//---------------------------------------------------------------------------
void log_write_user(char ch, const char* str)
{
	printf("%c, %s\n", ch, str);
}
//---------------------------------------------------------------------------

#endif