<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method='text' indent="no"/>
<xsl:include href="MA_common.xslt"/> 


<xsl:template match="/model">
;--- this file is machine generated ---
;Model: <xsl:value-of select="@name"/>

INCLUDE mymacros.inc
.model small
.586
    <xsl:call-template name="distinctActionNodes">
        <xsl:with-param name="mode">FUNCTION_DECLARATION</xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="distinctConditionNodes">
        <xsl:with-param name="mode">FUNCTION_DECLARATION</xsl:with-param>
    </xsl:call-template>

.data
    MACRO_DATA

.code

    <xsl:call-template name="distinctActionNodes">
        <xsl:with-param name="mode">FUNCTION_DEFINITION</xsl:with-param>
    </xsl:call-template>

    <xsl:call-template name="distinctConditionNodes">
        <xsl:with-param name="mode">FUNCTION_DEFINITION</xsl:with-param>
    </xsl:call-template>

end
</xsl:template>



<xsl:template match="actionNode[@type='OUTPUT_ACTION']" mode="FUNCTION_DECLARATION">
    public <xsl:value-of select="ancestor::stateMachine/@name"/>_z<xsl:value-of select="@name"/>
</xsl:template>

<xsl:template match="actionNode[@type='AUTOMATA_CALL']" mode="FUNCTION_DECLARATION" ></xsl:template>

<xsl:template match="actionNode" priority="0" mode="FUNCTION_DECLARATION" >
    ;ERROR: Unknown actionNode type: '<xsl:value-of select="@type"/>'; Please, correct xslt file;
</xsl:template>

<xsl:template match="conditionNode[@type='AUTOMATA_CALL']" mode="FUNCTION_DECLARATION"></xsl:template>

<xsl:template match="conditionNode[@type='INPUT_VARIABLE']" mode="FUNCTION_DECLARATION" >
    public <xsl:value-of select="ancestor::stateMachine/@name"/>_x<xsl:value-of select="@name"/>
</xsl:template>

<xsl:template match="conditionNode[@type='EVENT']" mode="FUNCTION_DECLARATION" ></xsl:template>

<xsl:template match="conditionNode" priority="0" mode="FUNCTION_DECLARATION" >
    ;ERROR: Unknown conditionNode type: '<xsl:value-of select="@type"/>'; Please, correct xslt file;
</xsl:template>


<xsl:template match="actionNode[@type='OUTPUT_ACTION']" mode="FUNCTION_DEFINITION">
    ;
    <xsl:value-of select="ancestor::stateMachine/@name"/>_z<xsl:value-of select="@name"/> proc near
        ;place your code here
         ret 0
    <xsl:value-of select="ancestor::stateMachine/@name"/>_z<xsl:value-of select="@name"/> endp
</xsl:template>

<xsl:template match="actionNode[@type='AUTOMATA_CALL']" mode="FUNCTION_DEFINITION" ></xsl:template>

<xsl:template match="actionNode" priority="0" mode="FUNCTION_DEFINITION" >
    ;ERROR: Unknown actionNode type: '<xsl:value-of select="@type"/>'; Please, correct xslt file;
</xsl:template>

<xsl:template match="conditionNode[@type='AUTOMATA_CALL']" mode="FUNCTION_DEFINITION"></xsl:template>

<xsl:template match="conditionNode[@type='INPUT_VARIABLE']" mode="FUNCTION_DEFINITION" >
    ;
    <xsl:value-of select="ancestor::stateMachine/@name"/>_x<xsl:value-of select="@name"/> proc near
        ;place your code here
        mov ax, 0
        ret 0
    <xsl:value-of select="ancestor::stateMachine/@name"/>_x<xsl:value-of select="@name"/> endp
</xsl:template>

<xsl:template match="conditionNode[@type='EVENT']" mode="FUNCTION_DEFINITION" ></xsl:template>

<xsl:template match="conditionNode" priority="0" mode="FUNCTION_DEFINITION" >
    ;ERROR: Unknown conditionNode type: '<xsl:value-of select="@type"/>'; Please, correct xslt file;
</xsl:template>

</xsl:stylesheet>
